#include <platform.h>

out port complete_signal = XS1_PORT_8B;

//This function is called when OTP programming has completed and been a success.
void _done() 
{
  set_port_use_on(complete_signal);

  complete_signal <: 0x5A;  //success code

  while (1);
}


void _exit(int exitcode) 
{
  set_port_use_on(complete_signal);

  if (exitcode != 0) 
  {
    complete_signal <: 0xFF;
  } 
  else 
  {
    complete_signal <: 0x5A;  //success code
  }

  while (1);
}

